# SceKernelMbxInfo Struct Reference
[Thread Manager Library]

`#include <sdk/user/pspthreadman.h>`

## Detailed Description

Current state of a messagebox.

See also:
  sceKernelReferMbxStatus.

## Data Fields

SceSize | size
| Size of the SceKernelMbxInfo structure.
char | name [32]
| NUL-terminated name of the messagebox.
SceUInt | attr
| Attributes.
int | numWaitThreads
| The number of threads waiting on the messagebox.
int | numMessages
| Number of messages currently in the messagebox.
void * | firstMessage
| The message currently at the head of the queue.

## Field Documentation

SceUInt SceKernelMbxInfo::attr

| Attributes.

void* SceKernelMbxInfo::firstMessage

| The message currently at the head of the queue.

char SceKernelMbxInfo::name[32]

| NUL-terminated name of the messagebox.

int SceKernelMbxInfo::numMessages

| Number of messages currently in the messagebox.

int SceKernelMbxInfo::numWaitThreads

| The number of threads waiting on the messagebox.

SceSize SceKernelMbxInfo::size

| Size of the SceKernelMbxInfo structure.

The documentation for this struct was generated from the following file:

- sdk/user/pspthreadman.h